%define upstream_name IRI
%define upstream_version 0.011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Internationalized Resource Identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/G/GW/GWILLIAMS/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(IRI)

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::HandlesVia)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Tiny) >= 0.8.0
BuildRequires: perl(URI)
BuildArch:  noarch

%description
The IRI module is a Perl implementation of Internationalized Resource
Identifiers (IRIs) as defined by [RFC 3987]
(http://www.ietf.org/rfc/rfc3987.txt).

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Feb 24 2020 tv <tv> 0.11.0-1.mga8
+ Revision: 1549797
- update to 0.011

* Tue Feb 18 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1541539
- Mageia 8 Mass Rebuild

* Sun Dec 29 2019 tv <tv> 0.10.0-1.mga8
+ Revision: 1474636
- update to 0.010

* Wed Oct 31 2018 tv <tv> 0.9.0-1.mga7
+ Revision: 1326905
- update to 0.009

* Thu Sep 20 2018 umeabot <umeabot> 0.8.0-3.mga7
+ Revision: 1284322
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.8.0-2.mga7
+ Revision: 1165034
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 0.8.0-1.mga7
+ Revision: 1161825
- update to 0.008

* Sun Sep 24 2017 tv <tv> 0.4.0-5.mga7
+ Revision: 1158639
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-4.mga6
+ Revision: 1028814
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.4.0-3.mga6
+ Revision: 967858
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.4.0-2.mga6
+ Revision: 850399
- Add provides

* Sat Jul 04 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 850393
- imported package perl-IRI

